﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Xors
{
    public static class VideoPlayBack
    {
        /// <summary>
        /// Opens video file and starts its playback. 
        /// For video playback used DirectShow, so you will need to ensure the correct codecs are installed
        /// </summary>
        /// <param name="path"></param>
        /// <returns></returns>
        public static VideoFile OpenMovie(string path)
        {
            VideoFile video = new VideoFile();
            video._handle = Xors3d.OpenMovie(path);
            return video._handle > 0 ? video : null;
        }
    }
}
