﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Xors
{
    public class Dir
    {
        internal int _handle = 0;

        /// <summary>
        /// Closes previously opened directory
        /// </summary>
        public void Close()
        {
            Xors3d.CloseDir(_handle);
        }

        /// <summary>
        /// Returns the next file or folder from the currently open directory
        /// </summary>
        /// <returns></returns>
        public string NextFile()
        {
            return Xors3d.NextFile(_handle);
        }
    }
}
