﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Xors
{
    public class Font
    {
        internal int _handle = 0;

        public bool equals(Font value)
        {
            return value._handle == _handle;
        }

        /// <summary>
        /// Activates a font previously loaded into memory (though the xLoadFont() command) for future use with printing commands such as xText()
        /// </summary>
        public void SetDefault()
        {
            Xors3d.SetFont(_handle);
        }

        /// <summary>
        /// Frees up a font
        /// </summary>
        public void Free()
        {
            Xors3d.FreeFont(_handle);
        }

        
    }
}
