﻿namespace Xors.Physics
{
    public class Vehicle
    {
        internal Entity _entity = null;

        /// <summary>
        /// 
        /// </summary>
        public void CreateVehicle()
        {
            Xors3d.EntityCreateVehicle(_entity._handle);
        }

        /// <summary>
        /// 
        /// </summary>
        public void FreeVehicle()
        {
            Xors3d.EntityFreeVehicle(_entity._handle);
        }

        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        public int CountWhells()
        {
            return Xors3d.EntityCountWheels(_entity._handle);
        }

        /// <summary>
        /// 
        /// </summary>
        /// <param name="whellEntity"></param>
        /// <returns></returns>
        public Whell AddWhell(Entity whellEntity)
        {
            Whell whell = new Whell();
            whell._entity = _entity;
            whell._handle = Xors3d.EntityAddWheel(_entity._handle, whellEntity._handle);
            return whell._handle >= 0 ? whell : null;
        }

        /// <summary>
        /// Get whell from index
        /// </summary>
        /// <param name="index"></param>
        /// <returns></returns>
        public Whell GetWhell(int index)
        {
            Whell whell = new Whell();
            whell._entity = _entity;
            whell._handle = index;
            return whell._handle > 0 ? whell : null;
        }
    }
}
